<!-- крок 1. потрібно описати карточку для того щоб бачити як вона буде працювати. усі коди я залишу у вигляді коментарів і покроково опишу. -->
<template>
    <div class="container">
        <div>
            {{ athleteData.id }}
        </div>
        <div>
            {{ athleteData.title }}
        </div>
        <div>
            <button class="btn" @click="onClick"> {{ buttonLabel }} </button>
        </div>
    </div>
</template>

<script>
export default {
    name: 'athleteCard',
    //props i need for external data
    props: {
        //1. athleteData will get an object. So i need to get it from somewhere
        athleteData: {
            type: Object,
            default: () => ({})
        },
        isSelected: {
            type: Boolean,
            default: false
        }
    },
    //2.computed allows me to get computed value . in this case buttonLabel changes if the btn is clicked
    computed: {
        buttonLabel() {
            return this.isSelected ? '<=' : '=>'
        }
    },
    //2.1 methods are for storing functions
    methods: {
        onClick() {
            if (this.isSelected)
                this.$emit('deselect')
            else
                this.$emit('select')
        }
    },
}
</script>

<style lang="css" scoped>
.container {
    width: 100px;
    height: auto;
    border: 2px solid purple;
    border-radius: 10px;
    padding: 10px;
    margin: 20px;

    display: flex;
    justify-content: space-between
}

.btn {
    background-color: green;
    border: 0px;
    border-radius: 30px;
    color: white
}
</style>